Subject: bug#66041: 30.0.50; Should 'flymake-note-echo' inherit from 'compilation-info'?

From: Jim Porter <[email-masked]>
Date: Mon, 18 Sep 2023 10:44:51 -0700

On 9/18/2023 5:52 AM, João Távora wrote:
> Yes, something like that.  Skimming the code, I think I meant for only
> one overlay, not two, to be the end-of-line overlay containing the two
> strings.  But this was tricky to implement and I probably missed an
> edge case.  There is a FIXME there, have to investigate.
> 
> Anyway, since I have your interest, any suggestions on how you would
> implement this? Knowing that this feature is upposed to display
> multiple pieces of relatively short cursor-unreachable text visually
> after the end -of-line (the text being the diagnostic text, naturally).

For what it's worth, I think it would be nice to have a single overlay, 
showing only the highest-severity message, and if there are more, add a 
"(+ N more)" suffix. Then, assuming it's possible to implement, you 
could click/hover over it to get a popup of some sort with all the 
messages. That way you can't overload the UI with many messages (which 
in practice might all be from the same underlying problem in your code).